Modules/Master/Routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

use Illuminate\Support\Facades\Route;
use Modules\Master\Http\Controllers\AlumniController;
use Modules\Master\Http\Controllers\BeritaController;
use Modules\Master\Http\Controllers\DashboardController;
use Modules\Master\Http\Controllers\KarierController;
use Modules\Master\Http\Controllers\LayananAlumniController;
use Modules\Master\Http\Controllers\SliderController;

Route::prefix('master')->group(function () {
    // Route::get('/', 'MasterController@index');

    Route::put('slide/all', [SliderController::class, 'update_all'])->name('slide.update.all');
    Route::resource('slide', SliderController::class);

    Route::get('alumni/download/{id}', [AlumniController::class, 'download'])->name('alumni.download');
    Route::resource('alumni', AlumniController::class);

    Route::get('layanan-alumni/preview', [LayananAlumniController::class, 'preview'])->name('layanan-alumni.preview');
    Route::resource('layanan-alumni', LayananAlumniController::class);

    Route::resource('news', BeritaController::class);

    Route::resource('tips-karier', KarierController::class);
});

Route::get('home', [DashboardController::class, 'index'])->name('home');

Modules/Master/Entities/Alumni.php
<?php

namespace Modules\Master\Entities;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class Alumni extends Model
{
    use HasFactory;

    protected $table = 'alumni';
    protected $guarded = [];
}

Modules/Master/Http/Controllers/AlumniController.php
<?php

namespace Modules\Master\Http\Controllers;

use Illuminate\Contracts\Support\Renderable;
use Illuminate\Http\Request;
use Illuminate\Routing\Controller;
use Illuminate\Support\Arr;
use Illuminate\Support\Facades\DB;
use Modules\Master\Entities\Alumni;

class AlumniController extends Controller
{
    /**
     * Display a listing of the resource.
     * @return Renderable
     */
    public function index()
    {
        $data = [
            'title'     => 'Alumni',
            'alumni'    => Alumni::latest()->get()
        ];

        return view('master::alumni.index', $data);
    }

    /**
     * Show the form for creating a new resource.
     * @return Renderable
     */
    public function create()
    {
        return view('master::create');
    }

    /**
     * Store a newly created resource in storage.
     * @param Request $request
     * @return Renderable
     */
    public function store(Request $request)
    {
        // return request();
        $data = Arr::except(request()->all(), ['file', '_token']);

        if (request()->hasFile('file')) {
            $foto = request()->file('file');
            $nama = time() . rand(1, 100) . '.' . $foto->getClientOriginalExtension();
            $foto->move('file/', $nama);

            $data['file'] = $nama;
        }

        // return $data;
        Alumni::create($data);
        return back()->with('success', 'List Alumni berhasil Di-tambahkan');
    }

    /**
     * Show the specified resource.
     * @param int $id
     * @return Renderable
     */
    public function show($id)
    {
        return view('master::show');
    }

    /**
     * Show the form for editing the specified resource.
     * @param int $id
     * @return Renderable
     */
    public function edit($id)
    {
        return view('master::edit');
    }

    /**
     * Update the specified resource in storage.
     * @param Request $request
     * @param int $id
     * @return Renderable
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     * @param int $id
     * @return Renderable
     */
    public function destroy($id)
    {
        // return dec($id);
        DB::beginTransaction();
        Alumni::destroy(dec($id));
        DB::commit();

        return back()->with('success', 'List Alumni berhasil Di-hapus');
    }

    public function download($id)
    {
        $alumni = Alumni::findOrFail(dec($id));
        return response()->download(public_path('file/' . $alumni->file));
    }
}

Modules/Master/Resources/views/alumni/index.blade.php
@extends('layouts.main')
@section('breadcrumb')
    @include('layouts.breadcrumb')
@endsection
@section('content')
    <div class="card">
        <div class="card-body">
            <div class="w-100 d-flex justify-content-between mb-3">
                <h3>{{ $title }}</h3>
                <div class="">
                    <button type="button" class="btn btn-outline-primary btn-sm" data-toggle="modal"
                        data-target="#exampleModal">Tambah</button>
                </div>
            </div>
            <div class="table-responsive">
                <table id="example" class="table table-striped table-bordered" style="width:100%">
                    <thead>
                        <tr>
                            <th width="20px">No</th>
                            <th>Nama Fakultas</th>
                            <th>Color</th>
                            <th>Total</th>
                            <th>File</th>
                            <th>Aksi</th>
                        </tr>
                    </thead>
                    <tbody>
                        @foreach ($alumni as $item)
                            <tr>
                                <th>{{ $loop->iteration }}</th>
                                <td>{{ $item->nama_fakultas }}</td>
                                <td>
                                    <div class="w-100" style="background-color: {{ $item->color }};height:20px;"></div>
                                </td>
                                <td>{{ $item->total }}</td>
                                <td>
                                    <button class="btn btn-sm btn-primary"
                                        onclick="window.location='{{ route('alumni.download', enc($item->id)) }}'">Download</button>
                                </td>
                                <td>
                                    <a class="btn btn-warning btn-sm" data-toggle="tooltip" data-placement="top"
                                        title="Edit"><i class="fa fa-edit"></i></a>
                                    <button type="button" class="btn btn-danger btn-sm" data-toggle="tooltip"
                                        data-placement="top" title="Delete"
                                        onclick="deleteData('{{ route('alumni.destroy', enc($item->id)) }}')"><i
                                            class="fa fa-trash"></i></button>
                                </td>
                            </tr>
                        @endforeach
                    </tbody>
                </table>
            </div>
        </div>
    </div>

    <!-- Modal -->
    <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
        aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">Alumni</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <form action="{{ route('alumni.store') }}" method="post" enctype="multipart/form-data">
                    @csrf
                    <div class="modal-body">
                        <div class="form-group">
                            <label for="nama_fakultas">Nama Fakultas</label>
                            <input type="text" class="form-control" id="nama_fakultas" placeholder="Nama Fakultas"
                                name="nama_fakultas" required>
                        </div>
                        <div class="form-group">
                            <label for="color" class="d-block">Color</label>
                            <input type="color" id="color" name="color" required>
                        </div>
                        <div class="form-group">
                            <label for="total_alumni">Total Alumni</label>
                            <input type="text" class="form-control" id="total_alumni" placeholder="0" name="total"
                                required>
                        </div>
                        <div class="form-group">
                            <label for="file">File</label>
                            <input type="file" class="form-control" id="file" name="file" required
                                accept=".pdf">
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="submit" class="btn btn-primary">Save</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
@endsection
{{-- @section('css')
    <link rel="stylesheet" href="https://cdn.datatables.net/1.13.1/css/dataTables.bootstrap4.min.css">
@endsection --}}
@section('js')
    @php
        initialAction();
    @endphp
    {{-- <script src="https://cdn.datatables.net/1.13.1/js/jquery.dataTables.min.js"></script>
    <script src="https://cdn.datatables.net/1.13.1/js/dataTables.bootstrap4.min.js"></script>
    <script>
        $(document).ready(function() {
            $('#example').DataTable();
        });
    </script> --}}
@endsection